To init the generated trace file(s)

## Functions

trace_return_t | initTrace (const char *filename, int rank, gtg_flag_t flags)
| Initialize a trace. More...
trace_return_t | endTrace ()
| Finalize a trace. More...
trace_return_t | setCompress (int val)
| Enable trace compression (only available for OTF traces). More...
trace_return_t | addEntityValue (const char *alias, const char *entType, const char *name, gtg_color_t p_color)
| Add an Entity Value. More...

## Detailed Description

## Function Documentation

trace_return_t addEntityValue | ( | const char * | alias,
|  | const char * | entType,
|  | const char * | name,
|  | gtg_color_t | p_color
| ) |  |

Add an Entity Value.

Parameters

  alias | Alias on the entity value
  entType | Type of the entity that can have the value
  name | Alternative name of the variable type
  p_color | Color of the entity

Returns
  TRACE_SUCCESS on success
  An error code otherwise

trace_return_t endTrace | ( |  | ) |

Finalize a trace.

Returns
  TRACE_SUCCESS on success
  An error code otherwise

int initTrace | ( | const char * | filename,
|  | int | rank,
|  | gtg_flag_t | flags
| ) |  |

Initialize a trace.

Parameters

  filename | Root name of the file to create
  rank | Process number of the file to create
  flags | One of GTG_FLAG_NONE, GTG_FLAG_USE_MPI, GTG_FLAG_NOTBUF.

Returns
  TRACE_SUCCESS on success
  An error code otherwise

trace_return_t setCompress | ( | int | val | ) |

Enable trace compression (only available for OTF traces).

Parameters

  val | 0 means no compression, otherwize the output files will be compressed

Returns
  TRACE_SUCCESS on success
  An error code otherwise